%define		name kio_locate
%define		Name kio-locate
%define		version 0.4.4
%define		release 1.2006mcnl

Name:		%{name}
Summary:	Kio-locate is a KIO Slave for the locate command
Version: 	%{version}
Release: 	%{release}
Source: 	%{Name}_%{version}.tar.gz
URL: 		http://arminstraub.de/browse.php?page=programs_kiolocate
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-buildroot
License: 	GPL
Vendor:		Mandrivaclub.nl
Packager:	Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
BuildRequires: 	kdelibs-devel kdebase-devel
BuildRequires:  XFree86-devel jpeg-devel
BuildRequires:  png-devel libxml2-utils scons
Requires:	slocate

%description
Kio-locate is a KIO Slave for the locate command. 

%prep
rm -fr $RPM_BUILD_ROOT

%setup -q -n %{Name}-%{version}

%build
scons configure
scons

DESTDIR=%{buildroot} scons install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING AUTHORS ChangeLog INSTALL
%{_libdir}/kde3/%{name}.*
%_datadir/services/*.protocol
%_datadir/services/searchproviders/locate.desktop
%{_docdir}/HTML/en/%{Name}/*
%{_datadir}/locale/*/LC_MESSAGES/%{Name}.mo

%changelog
* Wed Oct 19 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.4.4-1.2006mcnl
- 0.4.4

* Thu Sep 15 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.4.3-1.102mcnl
- 0.4.3

* Sun Jul 17 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.4.2tvo0.1-1.102mcnl
- 0.4.2tvo0.1

* Sun May 21 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.4.2-1.102mcnl
- 0.4.2: bugfix

* Sat May 21 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.4.1-1.102mcnl
- 0.4.1

* Fri Apr 29 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.4-1.102mcnl
- 0.4.0
- Updated the spec-file to work better with Scons

* Sun Jan 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Fri Jan 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.1-2mdk
- Add --enable-final

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-1mdk
- 0.2.3

* Mon Oct 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.2-1mdk
- 0.2.2

* Fri Oct 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-7mdk
- Rebuild

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-6mdk
- Fix distlint

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.1-5mdk
- builrequires

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-4mdk
- Rebuild

* Thu Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.1-3mdk
- rebuild

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Fix requires
- Fix build requires

* Sun Dec 15 2002 Laurent Culioli <laurent@pschit.net> 0.1-1mdk
- from Franck Qulain <shift@free.fr> 
	- First release
